<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.1.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><b>alexaClientSDK</b></li><li class="navelem"><b>capabilityAgents</b></li><li class="navelem"><b>speechSynthesizer</b></li><li class="navelem"><b>test</b></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html">MockMediaPlayer</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">alexaClientSDK::capabilityAgents::speechSynthesizer::test::MockMediaPlayer Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html">alexaClientSDK::capabilityAgents::speechSynthesizer::test::MockMediaPlayer</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html#ac5fc313eedcc52db8e2eabb0a881865c">create</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html">alexaClientSDK::capabilityAgents::speechSynthesizer::test::MockMediaPlayer</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#aa036356cea35577b0d5555a91a71b2b3">getOffset</a>()=0</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html">alexaClientSDK::avsCommon::utils::mediaPlayer::MediaPlayerInterface</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html#a307c59672f810a416c7096402183fb20">m_mutex</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html">alexaClientSDK::capabilityAgents::speechSynthesizer::test::MockMediaPlayer</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html#ab1f6b9a2d5eda790258aee6930b9c2df">m_play</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html">alexaClientSDK::capabilityAgents::speechSynthesizer::test::MockMediaPlayer</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html#a5113ed0512d769ff05193e3070ab88f5">m_playerObserver</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html">alexaClientSDK::capabilityAgents::speechSynthesizer::test::MockMediaPlayer</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html#ac62d62688f69dfb9efa574296aa6c135">m_playThread</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html">alexaClientSDK::capabilityAgents::speechSynthesizer::test::MockMediaPlayer</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html#a4c3b690cbad09644b87229a40f9d3463">m_shutdown</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html">alexaClientSDK::capabilityAgents::speechSynthesizer::test::MockMediaPlayer</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html#abfc56638a236e32e39e15bf947ebe125">m_stop</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html">alexaClientSDK::capabilityAgents::speechSynthesizer::test::MockMediaPlayer</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html#a5058d4876cf27e6bdcfb79b03e18e62f">m_stopThread</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html">alexaClientSDK::capabilityAgents::speechSynthesizer::test::MockMediaPlayer</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html#aa4ff8056b1eeff8bd6883617d96d036e">m_wakePlayFuture</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html">alexaClientSDK::capabilityAgents::speechSynthesizer::test::MockMediaPlayer</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html#a0b339f83fc444ba69deeb59b01d91fbc">m_wakePlayPromise</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html">alexaClientSDK::capabilityAgents::speechSynthesizer::test::MockMediaPlayer</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html#ade80c682e1a6cfec3147f5c7894c2edc">m_wakeStopFuture</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html">alexaClientSDK::capabilityAgents::speechSynthesizer::test::MockMediaPlayer</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html#aa319c1248acd34d39649dd8f2781455b">m_wakeStopPromise</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html">alexaClientSDK::capabilityAgents::speechSynthesizer::test::MockMediaPlayer</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html#aa68c8a98479698b1b35455011999ef51">m_wakeTriggerPlay</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html">alexaClientSDK::capabilityAgents::speechSynthesizer::test::MockMediaPlayer</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html#a89b2288d8e099654942f09472f376863">m_wakeTriggerStop</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html">alexaClientSDK::capabilityAgents::speechSynthesizer::test::MockMediaPlayer</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>MOCK_METHOD0</b>(play, MediaPlayerStatus()) (defined in <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html">alexaClientSDK::capabilityAgents::speechSynthesizer::test::MockMediaPlayer</a>)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html">alexaClientSDK::capabilityAgents::speechSynthesizer::test::MockMediaPlayer</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>MOCK_METHOD0</b>(stop, MediaPlayerStatus()) (defined in <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html">alexaClientSDK::capabilityAgents::speechSynthesizer::test::MockMediaPlayer</a>)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html">alexaClientSDK::capabilityAgents::speechSynthesizer::test::MockMediaPlayer</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>MOCK_METHOD0</b>(pause, MediaPlayerStatus()) (defined in <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html">alexaClientSDK::capabilityAgents::speechSynthesizer::test::MockMediaPlayer</a>)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html">alexaClientSDK::capabilityAgents::speechSynthesizer::test::MockMediaPlayer</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>MOCK_METHOD0</b>(resume, MediaPlayerStatus()) (defined in <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html">alexaClientSDK::capabilityAgents::speechSynthesizer::test::MockMediaPlayer</a>)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html">alexaClientSDK::capabilityAgents::speechSynthesizer::test::MockMediaPlayer</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>MOCK_METHOD0</b>(getOffset, std::chrono::milliseconds()) (defined in <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html">alexaClientSDK::capabilityAgents::speechSynthesizer::test::MockMediaPlayer</a>)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html">alexaClientSDK::capabilityAgents::speechSynthesizer::test::MockMediaPlayer</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>MOCK_METHOD1</b>(setSource, MediaPlayerStatus(std::shared_ptr&lt; avsCommon::avs::attachment::AttachmentReader &gt; attachmentReader)) (defined in <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html">alexaClientSDK::capabilityAgents::speechSynthesizer::test::MockMediaPlayer</a>)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html">alexaClientSDK::capabilityAgents::speechSynthesizer::test::MockMediaPlayer</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>MOCK_METHOD1</b>(setSource, MediaPlayerStatus(const std::string &amp;url)) (defined in <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html">alexaClientSDK::capabilityAgents::speechSynthesizer::test::MockMediaPlayer</a>)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html">alexaClientSDK::capabilityAgents::speechSynthesizer::test::MockMediaPlayer</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>MOCK_METHOD2</b>(setSource, MediaPlayerStatus(std::shared_ptr&lt; std::istream &gt; stream, bool repeat)) (defined in <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html">alexaClientSDK::capabilityAgents::speechSynthesizer::test::MockMediaPlayer</a>)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html">alexaClientSDK::capabilityAgents::speechSynthesizer::test::MockMediaPlayer</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html#a74a2b32429af89c43d119c0874f2436e">MockMediaPlayer</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html">alexaClientSDK::capabilityAgents::speechSynthesizer::test::MockMediaPlayer</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html#a0f9fedfa4e35c33f2d4679a56940b93c">mockPlay</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html">alexaClientSDK::capabilityAgents::speechSynthesizer::test::MockMediaPlayer</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html#a25d092962c30dadcf467a8238f1ee0e6">mockStop</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html">alexaClientSDK::capabilityAgents::speechSynthesizer::test::MockMediaPlayer</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#aa3dc008a6c4d2b79da4d30d8ae82432b">pause</a>()=0</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html">alexaClientSDK::avsCommon::utils::mediaPlayer::MediaPlayerInterface</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a39e55afe1f90c135f767824ea9e7de56">play</a>()=0</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html">alexaClientSDK::avsCommon::utils::mediaPlayer::MediaPlayerInterface</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#afb22095833dc3e9967fdb45c289332bd">resume</a>()=0</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html">alexaClientSDK::avsCommon::utils::mediaPlayer::MediaPlayerInterface</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html#aefaea85e4c7d0fcf5e94f44bcf6841e9">setObserver</a>(std::shared_ptr&lt; avsCommon::utils::mediaPlayer::MediaPlayerObserverInterface &gt; playerObserver)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html">alexaClientSDK::capabilityAgents::speechSynthesizer::test::MockMediaPlayer</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a6b75cc675041653fc26c5e07b7083f33">setOffset</a>(std::chrono::milliseconds offset)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html">alexaClientSDK::avsCommon::utils::mediaPlayer::MediaPlayerInterface</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a863f7a1d8fe9ef77ead9f9a70e533ffd">setSource</a>(std::shared_ptr&lt; avsCommon::avs::attachment::AttachmentReader &gt; attachmentReader)=0</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html">alexaClientSDK::avsCommon::utils::mediaPlayer::MediaPlayerInterface</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a6df36422c7caadefdd438f4c938ed7e4">setSource</a>(const std::string &amp;url)=0</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html">alexaClientSDK::avsCommon::utils::mediaPlayer::MediaPlayerInterface</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#af938277a89ad00f5d4b1884dee16080f">setSource</a>(std::shared_ptr&lt; std::istream &gt; stream, bool repeat)=0</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html">alexaClientSDK::avsCommon::utils::mediaPlayer::MediaPlayerInterface</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#ac7034677f0614203a26f31475f16e324">stop</a>()=0</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html">alexaClientSDK::avsCommon::utils::mediaPlayer::MediaPlayerInterface</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html#afcbf6fa3142b980dc9cd8eccfd6a69c2">waitForPlay</a>(const std::chrono::milliseconds duration=std::chrono::milliseconds(200))</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html">alexaClientSDK::capabilityAgents::speechSynthesizer::test::MockMediaPlayer</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html#a6a200f7e0a880e88431a44a518e6938c">waitForStop</a>(const std::chrono::milliseconds duration=std::chrono::milliseconds(200))</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html">alexaClientSDK::capabilityAgents::speechSynthesizer::test::MockMediaPlayer</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html#a7bb11b0c0bf65416ee5218c078c2d184">waitUntilPlaybackFinished</a>(std::chrono::milliseconds timeout=std::chrono::milliseconds(200))</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html">alexaClientSDK::capabilityAgents::speechSynthesizer::test::MockMediaPlayer</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html#a689551ce5baa5ac4055ed7c565137a5e">waitUntilPlaybackStarted</a>(std::chrono::milliseconds timeout=std::chrono::milliseconds(200))</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html">alexaClientSDK::capabilityAgents::speechSynthesizer::test::MockMediaPlayer</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a6ea8410b0e942e263e7b534f88b30ee3">~MediaPlayerInterface</a>()=default</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html">alexaClientSDK::avsCommon::utils::mediaPlayer::MediaPlayerInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html#acc48329bb5e12698889d39a042039433">~MockMediaPlayer</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html">alexaClientSDK::capabilityAgents::speechSynthesizer::test::MockMediaPlayer</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.1.0 - Copyright 2016-2017 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
